> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an attestation

> Retrieves the signed attestation for a USDC burn event on the source chain.



## OpenAPI

````yaml openapi/cctp.yaml get /v1/attestations/{messageHash}
openapi: 3.0.2
info:
  version: '1.0'
  title: Cross-Chain Transfer Protocol (CCTP)
  description: >
    Circle's Cross-Chain Transfer Protocol enables you to build seamless user
    experiences for sending and transacting USDC natively across blockchains.


    CCTP endpoints enable advanced capabilities such as fetching attestations
    for faster-than-finality burn events, verifying public keys across versions,
    accessing transaction details, querying Fast Transfer allowances and fees,
    and initiating re-attestation processes.
servers:
  - url: https://iris-api-sandbox.circle.com
  - url: https://iris-api.circle.com
security: []
tags:
  - name: CCTP
    description: Cross-Chain Transfer Protocol endpoints
  - name: CCTP V1 (Legacy)
    description: Legacy Cross-Chain Transfer Protocol endpoints
paths:
  /v1/attestations/{messageHash}:
    get:
      tags:
        - CCTP V1 (Legacy)
      summary: Get an attestation
      description: >-
        Retrieves the signed attestation for a USDC burn event on the source
        chain.
      operationId: getAttestation
      parameters:
        - $ref: '#/components/parameters/MessageHashPath'
      responses:
        '200':
          description: >-
            Successfully retrieved either the signed attestation or the message
            is still pending block confirmations.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAttestationV1Response'
              examples:
                complete:
                  value:
                    attestation: >-
                      0xdc485fb2f9a8f68c871f4ca7386dee9086ff9d4387756990c9c4b9280338325252866861f9495dce3128cd524d525c44e8e7b731dedd3098a618dcc19c45be1e1c
                    status: complete
                pending confirmations:
                  value:
                    attestation: null
                    status: pending_confirmations
        '404':
          $ref: '#/components/responses/NotFound'
components:
  parameters:
    MessageHashPath:
      name: messageHash
      description: >
        Message hash for the message being bridged. This can be generated using
        the `keccak256` hash of the message bytes emitted by the `MessageSent`
        event.
      in: path
      required: true
      schema:
        type: string
        pattern: ^0x[a-fA-F0-9]{64}$
        example: '0x912f22a13e9ccb979b621500f6952b2afd6e75be7eadaed93fc2625fe11c52a2'
  schemas:
    GetAttestationV1Response:
      title: GetAttestationSuccessResponse
      type: object
      description: Signed or pending attestation.
      required:
        - status
      properties:
        attestation:
          type: string
          description: >
            Signed attestation corresponding to the given `messageHash`
            parameter. This is null if the event has been seen but the
            attestation is still pending block confirmations.
          example: >-
            0x6edd90f4a0ad0212fd9fbbd5058a25aa8ee10ce77e4fc143567bbe73fb6e164f384a3e14d350c8a4fc50b781177297e03c16b304e8d7656391df0f59a75a271f1b
          nullable: true
        status:
          $ref: '#/components/schemas/AttestationStatus'
    AttestationStatus:
      type: string
      description: >-
        Status of the attestation, whether it is signed or awaiting more block
        confirmations.
      enum:
        - complete
        - pending_confirmations
    XRequestId:
      type: string
      format: uuid
      description: >-
        A unique identifier, which can be helpful for identifying a request when
        communicating with Circle support.
      example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  responses:
    NotFound:
      content:
        application/json:
          schema:
            type: object
            title: NotFoundResponse
            required:
              - code
              - message
            properties:
              code:
                type: integer
                description: Code that corresponds to the error.
              message:
                type: string
                description: Message that describes the error.
            example:
              code: 404
              message: Not found.
      description: Specified resource was not found.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
  headers:
    XRequestId:
      description: >
        Developer-provided header parameter or Circle-generated universally
        unique identifier (UUID v4). Useful for identifying a specific request
        when communicating with Circle Support.
      schema:
        $ref: '#/components/schemas/XRequestId'

````